org.keycloak.authorization.policy.provider.role

## Class RolePolicyProviderFactory

- java.lang.Object
- - org.keycloak.authorization.policy.provider.role.RolePolicyProviderFactory

- All Implemented Interfaces:
    PolicyProviderFactory<RolePolicyRepresentation>, ProviderFactory<PolicyProvider>

      public class RolePolicyProviderFactory
      extends Object
      implements PolicyProviderFactory<RolePolicyRepresentation>

  Author:
    Pedro Igor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RolePolicyProviderFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` This is called when the server shuts down.
    `PolicyProvider` | `create(AuthorizationProvider authorization)`
    `PolicyProvider` | `create(KeycloakSession session)`
    `String` | `getGroup()`
    `String` | `getId()`
    `String` | `getName()`
    `Class<RolePolicyRepresentation>` | `getRepresentationType()`
    `void` | `init(Config.Scope config)` Only called once when the factory is first created.
    `void` | `onCreate(Policy policy, RolePolicyRepresentation representation, AuthorizationProvider authorization)`
    `void` | `onExport(Policy policy, PolicyRepresentation representation, AuthorizationProvider authorizationProvider)`
    `void` | `onImport(Policy policy, PolicyRepresentation representation, AuthorizationProvider authorization)`
    `void` | `onUpdate(Policy policy, RolePolicyRepresentation representation, AuthorizationProvider authorization)`
    `void` | `postInit(KeycloakSessionFactory factory)` Called after all provider factories have been initialized
    `RolePolicyRepresentation` | `toRepresentation(Policy policy, AuthorizationProvider authorization)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.authorization.policy.provider.PolicyProviderFactory

      `getAdminResource, isInternal, onRemove`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Constructor Detail

    - #### RolePolicyProviderFactory

          public RolePolicyProviderFactory()

  - ### Method Detail

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `PolicyProviderFactory<RolePolicyRepresentation>`

    - #### getGroup

          public String getGroup()

      Specified by:
        `getGroup` in interface `PolicyProviderFactory<RolePolicyRepresentation>`

    - #### create

          public PolicyProvider create(AuthorizationProvider authorization)

      Specified by:
        `create` in interface `PolicyProviderFactory<RolePolicyRepresentation>`

    - #### create

          public PolicyProvider create(KeycloakSession session)

      Specified by:
        `create` in interface `ProviderFactory<PolicyProvider>`

    - #### toRepresentation

          public RolePolicyRepresentation toRepresentation(Policy policy,
                                                           AuthorizationProvider authorization)

      Specified by:
        `toRepresentation` in interface `PolicyProviderFactory<RolePolicyRepresentation>`

    - #### getRepresentationType

          public Class<RolePolicyRepresentation> getRepresentationType()

      Specified by:
        `getRepresentationType` in interface `PolicyProviderFactory<RolePolicyRepresentation>`

    - #### onCreate

          public void onCreate(Policy policy,
                               RolePolicyRepresentation representation,
                               AuthorizationProvider authorization)

      Specified by:
        `onCreate` in interface `PolicyProviderFactory<RolePolicyRepresentation>`

    - #### onUpdate

          public void onUpdate(Policy policy,
                               RolePolicyRepresentation representation,
                               AuthorizationProvider authorization)

      Specified by:
        `onUpdate` in interface `PolicyProviderFactory<RolePolicyRepresentation>`

    - #### onImport

          public void onImport(Policy policy,
                               PolicyRepresentation representation,
                               AuthorizationProvider authorization)

      Specified by:
        `onImport` in interface `PolicyProviderFactory<RolePolicyRepresentation>`

    - #### onExport

          public void onExport(Policy policy,
                               PolicyRepresentation representation,
                               AuthorizationProvider authorizationProvider)

      Specified by:
        `onExport` in interface `PolicyProviderFactory<RolePolicyRepresentation>`

    - #### init

          public void init(Config.Scope config)

      Description copied from interface: `ProviderFactory`
      Only called once when the factory is first created. This config is pulled from keycloak_server.json
      Specified by:
        `init` in interface `ProviderFactory<PolicyProvider>`

    - #### postInit

          public void postInit(KeycloakSessionFactory factory)

      Description copied from interface: `ProviderFactory`
      Called after all provider factories have been initialized
      Specified by:
        `postInit` in interface `ProviderFactory<PolicyProvider>`

    - #### close

          public void close()

      Description copied from interface: `ProviderFactory`
      This is called when the server shuts down.
      Specified by:
        `close` in interface `ProviderFactory<PolicyProvider>`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<PolicyProvider>`

Copyright © 2021 JBoss by Red Hat. All rights reserved.